#ifndef POTENTIOMETER_BEHAVIOUR_h
#define POTENTIOMETER_BEHAVIOUR_h
#include "Arduino.h"
#include "Behaviours.h"
#include <VizBlocks.h>

class PotentiometerUpdated : public Behaviour {
  /*
   * Class that defines a behaviour that publishes a
   * ButtonPressed message to the input topic of the
   * MQQT broker
   */
   VizBlocks* _node;

public:
  PotentiometerUpdated(VizBlocks* node, String name = "PotentiometerUpdated") :
    Behaviour(name), _node(node){ }

  char* args();

  String start(String args);
};

#endif
