#ifndef ROTARYENCODER_BEHAVIOUR_h
#define ROTARYENCODER_BEHAVIOUR_h
#include "Arduino.h"
#include "Behaviours.h"
#include <VizBlocks.h>

class RotaryEncoderUpdated : public Behaviour {
  /*
   * Class that defines a behaviour that publishes a
   * ButtonPressed message to the input topic of the
   * MQQT broker
   */
   VizBlocks* _node;

public:
  RotaryEncoderUpdated(VizBlocks* node, String name = "RotaryEncoderUpdated")

  char* args();

  String start(String args);
};

#endif
